## ----setup, include = FALSE----------------------------------------------
az_ok <- AnVILAz::az_health_check()
knitr::opts_chunk$set(
    collapse = TRUE,
## Related to https://stat.ethz.ch/pipermail/bioc-devel/2020-April/016656.html
    crop = NULL,
    eval = az_ok
)
options(width = 75)

## ----install, eval = FALSE-----------------------------------------------
#  if (!requireNamespace("BiocManager", quietly = TRUE))
#      install.packages("BiocManager", repos = "https://cran.r-project.org")
#  BiocManager::install("Bioconductor/AnVILAz")

## ----library, message = FALSE, eval = TRUE, cache = FALSE----------------
library(AnVILAz)

## ------------------------------------------------------------------------
#  avlist()

## ------------------------------------------------------------------------
#  data("mtcars", package = "datasets")
#  test <- head(mtcars)
#  save(test, file = "mydata.Rda")

## ------------------------------------------------------------------------
#  avcopy("mydata.Rda", "analyses/")

## ------------------------------------------------------------------------
#  avcopy("jupyter.log", "analyses/")

## ------------------------------------------------------------------------
#  avremove("analyses/mydata.Rda")

## ------------------------------------------------------------------------
#  avcopy("analyses/jupyter.log", "./test/")

## ------------------------------------------------------------------------
#  avbackup("./test/", "analyses/")

## ------------------------------------------------------------------------
#  avrestore("analyses/test")

## ------------------------------------------------------------------------
#  avrestore("analyses/test", "test")

## ------------------------------------------------------------------------
#  library(dplyr)
#  mtcars_tbl <-
#      mtcars |>
#      as_tibble(rownames = "model_id") |>
#      mutate(model_id = gsub(" ", "-", model_id))

## ------------------------------------------------------------------------
#  mtcars_tbl |> avtable_import(table = "testData", primaryKey = "model_id")

## ------------------------------------------------------------------------
#  model_data <- avtable(table = "testData")
#  head(model_data)

## ------------------------------------------------------------------------
#  avtable_delete_values(table = "testData", values = "AMC-Javelin")

## ------------------------------------------------------------------------
#  avtable_delete(table = "testData")

## ----sessionInfo, echo = FALSE-------------------------------------------
#  sessionInfo()

